var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class QcAPI extends APIBase {
    constructor() {
        super();
        this.qcCenterOrderSve = system.getObject("service.common.qcCenterOrderSve");
        this.baseOrderSve = system.getObject("service.common.baseCenterOrderSve");
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.actionType, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = null;
        switch (action_type) {
            case "getNeedSolutionDetailByUser"://获取方案详情
                opResult = await this.qcCenterOrderSve.reqCenterOrderApi(pobj, "action/qcapi/springBoard");
                break;
            case "submitIcpProgramme"://icp方案提交
                opResult = await this.baseOrderSve.submitIcpProgramme(pobj);
                break;
            case "receiveProgrammeNo"://接收渠道方案号（测试）
                opResult = await this.qcCenterOrderSve.reqCenterOrderApi(pobj);
                break;
            // case "submitIcpMaterial"://icp材料提交
            //     opResult = await this.qcCenterOrderSve.submitIcpMaterial(pobj);
            //     break;
            // case "acceptIcpPartnerNotification"://icp通知状态变更
            //     opResult = await this.qcCenterOrderSve.acceptIcpPartnerNotification(pobj);
            //     break;
            case "abolishIcpProgramme"://服务商icp方案关闭
                opResult = await this.qcCenterOrderSve.abolishIcpProgramme(pobj);
                break;
            case "getProgrammeInfoByChannelNeedNo"://获取需求方案列表
                opResult = await this.qcCenterOrderSve.reqCenterOrderApi(pobj, "action/qcapi/springBoard");
                break;
            case "serviceProviderSubmitMaterial"://交付商提交材料信息
                opResult = await this.baseOrderSve.serviceProviderSubmitMaterial(pobj);
                break;
            case "serviceProviderNotification"://交付商通知状态变更
                opResult = await this.baseOrderSve.serviceProviderNotification(pobj);
                break;
            case "closeOrderDelivery"://交付商关闭交付单
                opResult = await this.qcCenterOrderSve.closeOrderDelivery(pobj);
                break;

            // --------- 文网文 ---------

            case "ncServiceSubmitOption"://服务商提交服务操作(文网文)2020-9-26
                opResult = await this.qcCenterOrderSve.ncServiceSubmitOption(pobj);
                break;
            case "ncSubmitSolution"://提交方案(文网文)2020-9-26
                opResult = await this.qcCenterOrderSve.ncSubmitSolution(pobj);
                break;
            case "ncCloseNeed"://关闭需求(文网文)2020-9-28
                opResult = await this.qcCenterOrderSve.ncCloseNeed(pobj);
                break;
            case "ncRecordLog"://提交沟通记录(文网文)2020-9-28
                opResult = await this.qcCenterOrderSve.ncRecordLog(pobj);
                break;
            case "ncRecordLogList"://查询沟通记录(文网文)2020-9-29
                opResult = await this.qcCenterOrderSve.ncRecordLogList(pobj);
                break;

            // --------- 广电 ---------

            case "rtServiceSubmitOption"://服务商提交服务操作(文网文)2020-9-26
                opResult = await this.qcCenterOrderSve.rtServiceSubmitOption(pobj);
                break;
            case "rtSubmitSolution"://提交方案(文网文)2020-9-26
                opResult = await this.qcCenterOrderSve.rtSubmitSolution(pobj);
                break;
            case "rtCloseNeed"://关闭需求(文网文)2020-9-28
                opResult = await this.qcCenterOrderSve.rtCloseNeed(pobj);
                break;
            case "rtRecordLog"://提交沟通记录(文网文)2020-9-28
                opResult = await this.qcCenterOrderSve.rtRecordLog(pobj);
                break;
            case "rtRecordLogList"://查询沟通记录(文网文)2020-9-29
                opResult = await this.qcCenterOrderSve.rtRecordLogList(pobj);
                break;

            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = QcAPI;